ChildMapDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.collection.ChildMapDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.collection
Class ChildMapDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.AbstractChildDefinitionParser
                      org.mule.config.spring.parsers.generic.ChildDefinitionParser
                          org.mule.config.spring.parsers.collection.ChildMapDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class ChildMapDefinitionParser

extends ChildDefinitionParser

Creates a single Map and processes standard Spring sub elements. The map is injected into the parent object (the enclosing XML element).

Field Summary

Fields inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`clazz, setterMethod`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`ChildMapDefinitionParser(String setterMethod)`

Method Summary
`protected Class` | `getBeanClass(Element element)` Determine the bean class corresponding to the supplied `Element`.
`protected void` | `parseChild(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

Methods inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`getPropertyName, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractChildDefinitionParser
`doParse, getBeanName, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getParentBeanName, getTargetPropertyConfiguration`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssemblerFactory, getBeanClassFromAttribute, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleChildDefinitionParser
`forceParent, getTargetPropertyConfiguration`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Constructor Detail

### ChildMapDefinitionParser

    public ChildMapDefinitionParser(String setterMethod)

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Determine the bean class corresponding to the supplied `Element`.

  Overrides:
    `getBeanClass` in class `ChildDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the `Class` of the bean that is being defined via parsing the supplied `Element` (must not be `null`)
  See Also:
    `AbstractMuleBeanDefinitionParser.parseInternal(org.w3c.dom.Element,ParserContext)`

### parseChild

    protected void parseChild(Element element,
                              org.springframework.beans.factory.xml.ParserContext parserContext,
                              org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `parseChild` in class `AbstractChildDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.